MONGOC_AUTO_ENCRYPTION_OPTS_SET_BYPASS_AUTO_ENCRYPTION(3)

NAME
mongoc_auto_encryption_opts_set_bypass_auto_encryption - mongoc_auto_encryption_opts_set_bypass_auto_encryption()

SYNOPSIS

        void
        mongoc_auto_encryption_opts_set_bypass_auto_encryption (
           mongoc_auto_encryption_opts_t *opts, bool bypass_auto_encryption);

PARAMETERS

    •   opts: The mongoc_auto_encryption_opts_t

    •   bypass_auto_encryption: A boolean. If true, a mongoc_client_t configured with mongoc_client_enable_auto_encryption() will only perform automatic decryption (not encryption).

SEE ALSO

    •   mongoc_client_enable_auto_encryption()

    •   The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc